Skip to main content
PUT
ClickStack: Update Connection
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

ClickStack: Updates an existing ClickHouse connection. Field semantics: if password is omitted or empty the existing password is kept. hyperdxSettingPrefix is cleared when set to null or an empty string, and kept unchanged when omitted.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the ClickStack service.

clickStackConnectionId
string
required

Connection ID

Body

application/json
name
string
required

Display name for the connection.

Example:

"Production ClickHouse"

host
string
required

ClickHouse HTTP endpoint URL.

Example:

"https://clickhouse.example.com:8443"

username
string
required

ClickHouse username.

Example:

"default"

password
string

ClickHouse password. If omitted or empty, the existing password is kept.

Example:

"my-new-secret-password"

hyperdxSettingPrefix
string | null

Optional prefix for HyperDX-specific ClickHouse settings. Set to null or an empty string to clear the existing value. If omitted, the existing value is kept.

Example:

"hyperdx_"

isPrometheusEndpoint
boolean

Optional. When true, host is treated as a Prometheus-compatible API endpoint. When false or omitted, host is a ClickHouse HTTP endpoint. Omit to keep the existing value unchanged.

Example:

false

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 22, 2026